org.apache.hadoop.yarn.api.protocolrecords

## Class GetContainerReportResponse

- java.lang.Object
- - org.apache.hadoop.yarn.api.protocolrecords.GetContainerReportResponse

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class GetContainerReportResponse
      extends Object

  The response sent by the `ResourceManager` to a client requesting a container report.

  The response includes a `ContainerReport` which has details of a container.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetContainerReportResponse()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract ContainerReport` | `getContainerReport()` Get the `ContainerReport` for the container.
    `static GetContainerReportResponse` | `newInstance(ContainerReport containerReport)`
    `abstract void` | `setContainerReport(ContainerReport containerReport)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetContainerReportResponse

          public GetContainerReportResponse()

  - ### Method Detail

    - #### newInstance

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public static GetContainerReportResponse newInstance(ContainerReport containerReport)

    - #### getContainerReport

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract ContainerReport getContainerReport()

      Get the `ContainerReport` for the container.
      Returns:
        `ContainerReport` for the container

    - #### setContainerReport

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setContainerReport(ContainerReport containerReport)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.